/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.envmonitor.historywarn.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author yang
* @date 2021-05-11
**/
@Data
public class DmEnvHistoryWarnDto implements Serializable {

    /** 主键 */
    private Long id;

    /** 设备编号 */
    private String deviceIdentifier;

    /** 设备名称 */
    private String deviceName;

    /** 监控对象 */
    private String monitorObject;

    /** 气温 */
    private Double temperature;

    /** 湿度 */
    private Double humidity;

    /** pm2.5 */
    private Double envPm25;

    /** pm10 */
    private Double envPm10;

    /** 告警信息 */
    private String warnName;

    /** 创建人 */
    private String createBy;

    /** 更新人 */
    private String updateBy;

    /** 创建时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;
}