/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.envmonitor.monitorobject.repository;

import me.zhengjie.modules.dm.envmonitor.monitorobject.domain.DmEnvMonitorObject;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
* @website https://el-admin.vip
* @author shuai.huang
* @date 2021-03-30
**/
public interface DmEnvMonitorObjectRepository extends JpaRepository<DmEnvMonitorObject, Long>, JpaSpecificationExecutor<DmEnvMonitorObject> {
    @Query(value = "SELECT s.* FROM dm_env_monitor_object s",nativeQuery = true)
    List<DmEnvMonitorObject> findMonitorList();
}