/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.envmonitor.monitorobject.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author shuai.huang
* @date 2021-03-30
**/
@Data
public class DmEnvMonitorObjectDto implements Serializable {

    /**  主键 */
    private Long id;

    /** 建筑名称 */
    private String constructName;

    /** GIS坐标 */
    private String gisCoordinate;

    /** 建筑结构类型 */
    private String constructStructureType;

    /** 使用期限 */
    private String constructPeriod;

    /** 建筑年代 */
    private String constructTime;

    /** 建筑类别 */
    private String constructType;

    /** 建筑层数 */
    private Integer constructStorey;

    /** 建筑高度 */
    private Float constructHeight;

    /** 基底面积 */
    private Float baseArea;

    /** 总建筑面积 */
    private Float constructArea;

    /** 主要用途 */
    private String remark;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;
}